package jp.sourceforge.shovel.form;

import java.util.TimeZone;

import org.apache.struts.upload.FormFile;

public interface ICreateAccountForm {
    String getDescription();
    void setDescription(String description);
    String getDisplayName();
    void setDisplayName(String displayName);
    FormFile getFile();
    void setFile(FormFile file);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    String getEmail();
    void setEmail(String email);
    String getLocation();
    void setLocation(String location);
    String getPassword();
    void setPassword(String password);
    boolean isProtect();
    void setProtect(boolean protect);
    boolean isRemoveFile();
    void setRemoveFile(boolean removeFile);
    String getTimeZoneId();
    void setTimeZoneId(String timeZoneId);
    TimeZone getTimeZone();
    String getUrl();
    void setUrl(String url);
}
